Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.util
Class CharArrayBuffer

    java.lang.Object
      org.apache.james.mime4j.util.CharArrayBuffer

    public final class CharArrayBuffer

extends java.lang.Object

A resizable char array.

Constructor Summary
`CharArrayBuffer(int capacity)`

Method Summary
`void` | `append(byte[] b, int off, int len)`
`void` | `append(ByteArrayBuffer b, int off, int len)`
`void` | `append(char ch)`
`void` | `append(char[] b, int off, int len)`
`void` | `append(CharArrayBuffer b)`
`void` | `append(CharArrayBuffer b, int off, int len)`
`void` | `append(java.lang.Object obj)`
`void` | `append(java.lang.String str)`
`char[]` | `buffer()`
`int` | `capacity()`
`char` | `charAt(int i)`
`void` | `clear()`
`void` | `ensureCapacity(int required)`
`int` | `indexOf(int ch)`
`int` | `indexOf(int ch, int beginIndex, int endIndex)`
`boolean` | `isEmpty()`
`boolean` | `isFull()`
`int` | `length()`
`void` | `setLength(int len)`
`java.lang.String` | `substring(int beginIndex, int endIndex)`
`java.lang.String` | `substringTrimmed(int beginIndex, int endIndex)`
`char[]` | `toCharArray()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CharArrayBuffer

    public CharArrayBuffer(int capacity)

Method Detail

### append

    public void append(char[] b,
                       int off,
                       int len)

### append

    public void append(java.lang.String str)

### append

    public void append(CharArrayBuffer b,
                       int off,
                       int len)

### append

    public void append(CharArrayBuffer b)

### append

    public void append(char ch)

### append

    public void append(byte[] b,
                       int off,
                       int len)

### append

    public void append(ByteArrayBuffer b,
                       int off,
                       int len)

### append

    public void append(java.lang.Object obj)

### clear

    public void clear()

### toCharArray

    public char[] toCharArray()

### charAt

    public char charAt(int i)

### buffer

    public char[] buffer()

### capacity

    public int capacity()

### length

    public int length()

### ensureCapacity

    public void ensureCapacity(int required)

### setLength

    public void setLength(int len)

### isEmpty

    public boolean isEmpty()

### isFull

    public boolean isFull()

### indexOf

    public int indexOf(int ch,
                       int beginIndex,
                       int endIndex)

### indexOf

    public int indexOf(int ch)

### substring

    public java.lang.String substring(int beginIndex,
                                      int endIndex)

### substringTrimmed

    public java.lang.String substringTrimmed(int beginIndex,
                                             int endIndex)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.